Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ 4

vebr_4751981
Level 1
5 replies posted 5 questions asked 5 sign-ins
Level 1

Hello, I am new to cypress. I was wondering if the KitProg 2 from the CY8CKIT-146 PSOC® 4200DS PROTOTYPING KIT can upload a BLE code to a PSoC 4 chip?

0 Likes
1 Solution
VenkataD_41
Moderator
Moderator 750 replies posted 500 replies posted 250 solutions authored
Moderator

Hi,

The BLE component is available only in PSoC 4/6 BLE devices. The device you are using CY8C4246PVI-DS042 does not belong to PSoC BLE family.

Since you want to program the module, you can directly select the module in PSoC Creator and then you will be able to see the BLE component available.

Hope this explanation helps !

Thanks

Ganesh

View solution in original post

0 Likes
3 Replies
Rakshith
Moderator
Moderator 1000 replies posted 750 replies posted 500 replies posted
Moderator

Hi vebr_4751981​,

According to my understanding, you want to use KitProg2 from CY8CKIT-146 PSOC® 4200DS PROTOTYPING KIT to program another PSoC 4 device. Please correct me if I am wrong.

If that is the case, can you let us know the target PSoC 4 device?

Also please try updating the components in PSoC Creator. You can refer to this thread for more information regarding the same - Re: Missing components in catalog

Thanks and Regards,

Rakshith M B

Thanks and Regards,
Rakshith M B
0 Likes
vebr_4751981
Level 1
5 replies posted 5 questions asked 5 sign-ins
Level 1

The PSoC 4 device is the CYBLE-214015-01. I usually use the CY8CKIT-042-BLE board to program it. But I am looking for a cheaper device (CY8CKIT-146) that is able to program and debug the CYBLE-214015-01. The current problem I am facing is that whenever I try to upload the code I used to upload with CY8CKIT-042-BLE board, the BLE component says that it is incompatible because of the new selected device. I have tried to update the components but nothing happens. I attached some screenshots below.http://community.cypress.com/

BLEincompatible.JPG

D.JPG

0 Likes
VenkataD_41
Moderator
Moderator 750 replies posted 500 replies posted 250 solutions authored
Moderator

Hi,

The BLE component is available only in PSoC 4/6 BLE devices. The device you are using CY8C4246PVI-DS042 does not belong to PSoC BLE family.

Since you want to program the module, you can directly select the module in PSoC Creator and then you will be able to see the BLE component available.

Hope this explanation helps !

Thanks

Ganesh

0 Likes